<script setup>
  import TheWelcome from '../components/TheWelcome.vue'
  import NameForm from '@/components/NameForm.vue'
  import { ref } from 'vue'

  const showNameForm = ref(true)
</script>

<template>
  <main>
    <button type="button" @click="showNameForm = !showNameForm">Toggle Name Form</button>
    <NameForm v-if="showNameForm"/>
    <TheWelcome />
  </main>
</template>
